import React from 'react'
import TwoParts from './TwoParts'
import ThreeParts from './ThreeParts'

export const gourpItemLayout = {
  ab: {
    a: {
      labelCol:{ span: 6 },
      wrapperCol:{ span:18 },
    },
    b: {
      labelCol:{ span: 4 },
      wrapperCol:{ span:18 }
    },
  },
  abc: {
    a: {
      labelCol:{ span: 9 },
      wrapperCol:{ span:14 }
    },
    b: {
      labelCol:{ span: 4 },
      wrapperCol:{ span:16 }
    },
    c: {
      labelCol:{ span: 3 },
      wrapperCol:{ span:16 }
    },
  }
}

export default (props) => {
  const len = React.Children.count(props.children)

  if (len !== 2 && len !== 3) {
    throw new Error('FormGroupItem 仅支持2或3个子元素')
  }

  const Wrapper = len === 2 ? TwoParts : ThreeParts
  return <Wrapper>{props.children}</Wrapper>
}
